QGIS Application - Bug report #11624
saved layer styles not restoring
2014-11-12 05:52 AM - Gavin Fleming

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 19877
Description

QGIS 2.4, 2.6 and master, working with PostGIS layers.

| can save styles to and restore from Local database (which | assume is a local SQLite DB?)

However, if | save a style to the datasource database, a record is created in public.layer_styles BUT if | try to restore default style the
response is 'Style not found in database'.

Also when | open the layer the style is not applied.

And when | choose Load style -> from Datasource database, nothing is listed in 'styles related to the layer' and all the other styles
EXCEPT the one(s) | want are listed in 'other styles on [sic] the database' i.e. the one(s) | want have been detected and filtered out.

History

#1 - 2014-11-12 06:01 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Category set to Symbology

cannot confirm here on 2.6 and master, styles are saved correctly to the postgres database (remote or locale it doesn't matter) and if tagged as "default"

are applied on the fly when loading that layer. Also retrieving them with "load from database" works as expected.

#2 - 2015-05-11 12:08 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

closing for lack of feedback.
